incubator-connectors-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kwri...@apache.org
Subject svn commit: r1032020 - in /incubator/lcf/trunk/modules/connectors/documentum: ./ registry-scripts/ server-scripts/
Date Sat, 06 Nov 2010 12:13:32 GMT
Author: kwright
Date: Sat Nov  6 12:13:31 2010
New Revision: 1032020

URL: http://svn.apache.org/viewvc?rev=1032020&view=rev
Log:
Add preliminary scripts for firing up documentum supporting processes

Added:
    incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/
    incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/run.bat   (with props)
    incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/run.sh   (with props)
    incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/setclasspath.bat  
(with props)
    incubator/lcf/trunk/modules/connectors/documentum/server-scripts/
    incubator/lcf/trunk/modules/connectors/documentum/server-scripts/run.bat   (with props)
    incubator/lcf/trunk/modules/connectors/documentum/server-scripts/run.sh   (with props)
    incubator/lcf/trunk/modules/connectors/documentum/server-scripts/setclasspath.bat   (with
props)
Modified:
    incubator/lcf/trunk/modules/connectors/documentum/build.xml

Modified: incubator/lcf/trunk/modules/connectors/documentum/build.xml
URL: http://svn.apache.org/viewvc/incubator/lcf/trunk/modules/connectors/documentum/build.xml?rev=1032020&r1=1032019&r2=1032020&view=diff
==============================================================================
--- incubator/lcf/trunk/modules/connectors/documentum/build.xml (original)
+++ incubator/lcf/trunk/modules/connectors/documentum/build.xml Sat Nov  6 12:13:31 2010
@@ -164,6 +164,7 @@
 
     <target name="server-process" depends="jar-interface,jar-implementation,jar-rmiskel,jar-server,precompile-check"
if="canBuild">
         <mkdir dir="dist/server-process/jar"/>
+        <mkdir dir="dist/server-process/script"/>
         <copy todir="dist/server-process/jar">
             <fileset dir="dfc" includes="*.jar"/>
         </copy>
@@ -174,16 +175,29 @@
                 <include name="mcf-documentum-implementation.jar"/>
             </fileset>
         </copy>
+        <copy todir="dist/server-process/script">
+            <fileset dir="server-scripts">
+                <include name="*.sh"/>
+                <include name="*.bat"/>
+            </fileset>
+        </copy>
     </target>
 
     <target name="registry-process" depends="jar-registry,precompile-check" if="canBuild">
         <mkdir dir="dist/registry-process/jar"/>
+        <mkdir dir="dist/registry-process/script"/>
         <copy todir="dist/registry-process/jar">
             <fileset dir="build/jar">
                 <include name="mcf-documentum-registry.jar"/>
                 <include name="mcf-documentum-interface.jar"/>
             </fileset>
         </copy>
+        <copy todir="dist/registry-process/script">
+            <fileset dir="registry-scripts">
+                <include name="*.sh"/>
+                <include name="*.bat"/>
+            </fileset>
+        </copy>
     </target>
 
     <target name="all" depends="lib,server-process,registry-process,doc"/>

Added: incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/run.bat
URL: http://svn.apache.org/viewvc/incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/run.bat?rev=1032020&view=auto
==============================================================================
--- incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/run.bat (added)
+++ incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/run.bat Sat Nov  6
12:13:31 2010
@@ -0,0 +1,20 @@
+@echo off
+rem check that JAVA_HOME and MCF_HOME are set
+if not exist "%JAVA_HOME%\bin\java.exe" goto nojavahome
+if not exist "%MCF_HOME%\properties.xml" goto nolcfhome
+rem save existing path here
+set OLDDIR=%CD%
+cd "%MCF_HOME%\documentum-registry-process"
+set CLASSPATH=.
+for %%f in (jar/*) do call script\setclasspath.bat %%f
+rem restore old path here
+cd "%OLDDIR%"
+"%JAVA_HOME%\bin\java" -Xmx32m -Xms32m -classpath "%CLASSPATH%" org.apache.manifoldcf.crawler.registry.DCTM.DCTM
+goto done
+:nojavahome
+echo Environment variable JAVA_HOME is not set properly.
+goto done
+:nolcfhome
+echo Environment variable MCF_HOME is not set properly.
+goto done
+:done

Propchange: incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/run.bat
------------------------------------------------------------------------------
    svn:eol-style = CRLF

Propchange: incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/run.bat
------------------------------------------------------------------------------
    svn:keywords = Id

Added: incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/run.sh
URL: http://svn.apache.org/viewvc/incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/run.sh?rev=1032020&view=auto
==============================================================================
--- incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/run.sh (added)
+++ incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/run.sh Sat Nov  6 12:13:31
2010
@@ -0,0 +1,34 @@
+#!/bin/bash -e
+
+if [[ $OSTYPE == "cygwin" ]] ; then
+    PATHSEP=";"
+else
+    PATHSEP=":"
+fi
+
+#Make sure environment variables are properly set
+if [ -e "$JAVA_HOME"/bin/java ] ; then
+    if [ -f "$MCF_HOME"/properties.xml ] ; then
+    
+        # Build the classpath
+        CLASSPATH=""
+        for filename in $(ls -1 "$MCF_HOME"/documentum-registry-process/jar) ; do
+            if [ -n "$CLASSPATH" ] ; then
+                CLASSPATH="$CLASSPATH""$PATHSEP""$MCF_HOME"/documentum-registry-process/jar/"$filename"
+            else
+                CLASSPATH="$MCF_HOME"/documentum-registry-process/jar/"$filename"
+            fi
+        done
+        
+        "$JAVA_HOME/bin/java" -Xmx32m -Xms32m -cp "$CLASSPATH" org.apache.manifoldcf.crawler.registry.DCTM.DCTM
+        exit $?
+        
+    else
+        echo "Environment variable MCF_HOME is not properly set." 1>&2
+        exit 1
+    fi
+    
+else
+    echo "Environment variable JAVA_HOME is not properly set." 1>&2
+    exit 1
+fi

Propchange: incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/run.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/run.sh
------------------------------------------------------------------------------
    svn:keywords = Id

Added: incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/setclasspath.bat
URL: http://svn.apache.org/viewvc/incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/setclasspath.bat?rev=1032020&view=auto
==============================================================================
--- incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/setclasspath.bat (added)
+++ incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/setclasspath.bat Sat
Nov  6 12:13:31 2010
@@ -0,0 +1 @@
+set CLASSPATH=%CLASSPATH%;%MCF_HOME%\documentum-registry-process\jar\%1

Propchange: incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/setclasspath.bat
------------------------------------------------------------------------------
    svn:eol-style = CRLF

Propchange: incubator/lcf/trunk/modules/connectors/documentum/registry-scripts/setclasspath.bat
------------------------------------------------------------------------------
    svn:keywords = Id

Added: incubator/lcf/trunk/modules/connectors/documentum/server-scripts/run.bat
URL: http://svn.apache.org/viewvc/incubator/lcf/trunk/modules/connectors/documentum/server-scripts/run.bat?rev=1032020&view=auto
==============================================================================
--- incubator/lcf/trunk/modules/connectors/documentum/server-scripts/run.bat (added)
+++ incubator/lcf/trunk/modules/connectors/documentum/server-scripts/run.bat Sat Nov  6 12:13:31
2010
@@ -0,0 +1,27 @@
+@echo off
+rem check that JAVA_HOME and MCF_HOME are set
+if not exist "%JAVA_HOME%\bin\java.exe" goto nojavahome
+if not exist "%MCF_HOME%\properties.xml" goto nolcfhome
+rem TODO: Check this on a windows system!
+if not exist "%DOCUMENTUM%\dmcl.ini" goto nodctmhome
+rem save existing path here
+set OLDDIR=%CD%
+cd "%MCF_HOME%\documentum-server-process"
+set CLASSPATH=.
+for %%f in (jar/*) do call script\setclasspath.bat %%f
+rem restore old path here
+cd "%OLDDIR%"
+set LIB_STATEMENT=""
+if defined JAVA_LIB_PATH set LIB_STATEMENT="-Djava.library.path=%JAVA_LIB_PATH%"
+"%JAVA_HOME%\bin\java" -Xmx512m -Xms32m "%LIB_STATEMENT%" -classpath "%CLASSPATH%" org.apache.manifoldcf.crawler.server.DCTM.DCTM
+goto done
+:nojavahome
+echo Environment variable JAVA_HOME is not set properly.
+goto done
+:nolcfhome
+echo Environment variable MCF_HOME is not set properly.
+goto done
+:nodctmhome
+echo Environment variable DOCUMENTUM is not set properly.
+goto done
+:done

Propchange: incubator/lcf/trunk/modules/connectors/documentum/server-scripts/run.bat
------------------------------------------------------------------------------
    svn:eol-style = CRLF

Propchange: incubator/lcf/trunk/modules/connectors/documentum/server-scripts/run.bat
------------------------------------------------------------------------------
    svn:keywords = Id

Added: incubator/lcf/trunk/modules/connectors/documentum/server-scripts/run.sh
URL: http://svn.apache.org/viewvc/incubator/lcf/trunk/modules/connectors/documentum/server-scripts/run.sh?rev=1032020&view=auto
==============================================================================
--- incubator/lcf/trunk/modules/connectors/documentum/server-scripts/run.sh (added)
+++ incubator/lcf/trunk/modules/connectors/documentum/server-scripts/run.sh Sat Nov  6 12:13:31
2010
@@ -0,0 +1,43 @@
+#!/bin/bash -e
+
+if [[ $OSTYPE == "cygwin" ]] ; then
+    PATHSEP=";"
+else
+    PATHSEP=":"
+fi
+
+#Make sure environment variables are properly set
+if [ -e "$JAVA_HOME"/bin/java ] ; then
+    if [ -f "$MCF_HOME"/properties.xml ] ; then
+        # TODO: Check this on both Windows and Redhat
+        if [ -f "$DOCUMENTUM"/dmcl.ini ] ; then
+    
+            # Build the classpath
+            CLASSPATH=""
+            for filename in $(ls -1 "$MCF_HOME"/documentum-server-process/jar) ; do
+                if [ -n "$CLASSPATH" ] ; then
+                    CLASSPATH="$CLASSPATH""$PATHSEP""$MCF_HOME"/documentum-server-process/jar/"$filename"
+                else
+                    CLASSPATH="$MCF_HOME"/documentum-server-process/jar/"$filename"
+                fi
+            done
+            
+            LIB_STATEMENT=""
+            if [[ $JAVA_LIB_PATH != "" ]] ; then
+                LIB_STATEMENT=-Djava.library.path="$JAVA_LIB_PATH"
+            "$JAVA_HOME/bin/java" -Xmx512m -Xms32m $LIB_STATEMENT -cp "$CLASSPATH" org.apache.manifoldcf.crawler.server.DCTM.DCTM
+            exit $?
+        
+        else
+            echo "Environment variable DOCUMENTUM is not properly set." 1>&2
+            exit 1
+            
+    else
+        echo "Environment variable MCF_HOME is not properly set." 1>&2
+        exit 1
+    fi
+    
+else
+    echo "Environment variable JAVA_HOME is not properly set." 1>&2
+    exit 1
+fi

Propchange: incubator/lcf/trunk/modules/connectors/documentum/server-scripts/run.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: incubator/lcf/trunk/modules/connectors/documentum/server-scripts/run.sh
------------------------------------------------------------------------------
    svn:keywords = Id

Added: incubator/lcf/trunk/modules/connectors/documentum/server-scripts/setclasspath.bat
URL: http://svn.apache.org/viewvc/incubator/lcf/trunk/modules/connectors/documentum/server-scripts/setclasspath.bat?rev=1032020&view=auto
==============================================================================
--- incubator/lcf/trunk/modules/connectors/documentum/server-scripts/setclasspath.bat (added)
+++ incubator/lcf/trunk/modules/connectors/documentum/server-scripts/setclasspath.bat Sat
Nov  6 12:13:31 2010
@@ -0,0 +1 @@
+set CLASSPATH=%CLASSPATH%;%MCF_HOME%\documentum-server-process\jar\%1

Propchange: incubator/lcf/trunk/modules/connectors/documentum/server-scripts/setclasspath.bat
------------------------------------------------------------------------------
    svn:eol-style = CRLF

Propchange: incubator/lcf/trunk/modules/connectors/documentum/server-scripts/setclasspath.bat
------------------------------------------------------------------------------
    svn:keywords = Id



Mime
View raw message